For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Get current User(s) membership for a Project

GET
https://api.frame.io/v2/projects/:project_id/membership
GET
/v2/projects/:project_id/membership
1import requests
2
3url = "https://api.frame.io/v2/projects/project_id/membership"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.get(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "collaborator": true,
3 "owner": false,
4 "team_member": true,
5 "team_role": "editor"
6}
Get the Membership context for a given user within a Project via its ID
Was this page helpful?
Previous

Get Project by ID

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequiredformat: "uuid"

Query parameters

user_idstringOptional

Response

Project membership success response
collaboratorboolean
ownerboolean
team_memberboolean
team_rolestring

Errors

401
Unauthorized Error
404
Not Found Error